$(function () {
    //二维码上传
    var imgArr = [];
    //判断是否存在二维码
    var qimgs = $('.ewm');
    for (var k = 0; k <= qimgs.length - 1; k++) {
        if ($(qimgs[k]).attr('src') != '') {
            // add_input+='<input type="hidden" value="' + $(qimgs[k]).attr('src') + '" name="qrcode" />';
            imgArr.push($(qimgs[k]).attr('src'));
            $('#ewmGather').val(JSON.stringify(imgArr));
            $('#input_add').append('<input type="hidden" value="' + $(qimgs[k]).attr('src') + '" name="qrcode" />');
        }
    }
    $('#qrcodeInput').on("change", function () {
        var file=$(this).prop('files')[0];
        var image = ''
        var this_ = $(this).parents("#qrcodeUpload").find(".ewm-box img");
        // 图片上传函数
        image = upload_image(file, this_,image)
        // 调用图片上传接口成功后返回的url
        if (image){
            $.ajax({
                url:"",
                type:"post",
                dataType:"json",
                data:{"action": "change_user_image", "image": image},
                success:function (data) {
                    if (data.errcode != 0){
                        alert(data.msg)
                    }
                },
                error:function () {
                    alert("修改失败")
                }
            })
        }
    })
})

// 图片上传函数
function upload_image(file,e, image) { //e:$('img')
    let formData = new FormData();
    // var image = ''
    // 必须项,不可修改
    formData.append("action", "upload");
    // 图片数据'file'为必须的命名不可更改,第二个参数为图片数据
    formData.append("file", file);  // 添加自定义属性(name)
    // formData.append("file", this_[0].files[0]);
    // 图片存放路径,第一个参数'dir'不可更改,第二个为upload文件夹下的文件夹名称,没有的话自动创建
    formData.append("dir", "userimage/user");
    // 图片保存名称,可有,没有则按年月日命名
    // formData.append("filename", "my_file_name");
    $.ajax({
        scriptCharset: 'UTF-8',
        type: 'POST', // 请求方式
        url: '/api/admin_process', // 必须的请求路径
        data: formData, // 参数
        cache: false,
        processData: false,
        contentType: false,
        async: false,
        dataType: 'json', // 数据类型
        success: function (data) {  // 请求成功后的回调函
            console.log("上传ok",data)
            if (data['state'] == "SUCCESS") {
                e.attr("src", data['url'])
                image = data.url
                // e.parents('.question-item').find('.weui-textarea').attr('options-file',data['url'])
            }
        },
        error: function () { // 请求失败后的回调函数
            alert("上传失败")
            // layer.msg('上传失败', { time: 1000 });
        }
    })
    return image
}